diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.cygwin ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.cygwin
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.cygwin	2007-09-12 08:07:27.000000000 -0700
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.cygwin	2012-09-17 19:20:37.000000000 -0700
@@ -120,7 +120,7 @@
 
 # C++ compiler ANSI/NON-ANSI flags
 ANSI_C_PLUS_FLAG=-ansi
-NON_ANSI_C_PLUS_FLAG=-traditional-cpp
+NON_ANSI_C_PLUS_FLAG=
 C_PLUS_WARNINGS=$(WARNINGS) $(NO_DEPRECATED)
 
 # This variable specifies how to compile the C code. If it is set to C,
diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.darwin2 ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.darwin2
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.darwin2	2004-06-30 10:09:24.000000000 -0700
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.darwin2	2012-09-17 19:20:37.000000000 -0700
@@ -18,10 +18,10 @@
 HAVE_STRCASECMP = -DHAVE_STRCASECMP
 #HAVE_STRCASECMP =
 CFLAGS            =  $(OPT) -ansi  $(ABI)  $(LDEFINES) $(LINCLUDES) $(G++INCL) $(HAVE_STRCASECMP)
-CFLAGS_NONANSI    =  $(OPT) -traditional-cpp $(ABI)  $(LDEFINES) $(LINCLUDES)$(G++INCL) $(HAVE_STRCASECMP)
+CFLAGS_NONANSI    =  $(OPT)  $(ABI)  $(LDEFINES) $(LINCLUDES)$(G++INCL) $(HAVE_STRCASECMP)
 CFLAGS_NONANSI    =  $(OPT) $(ABI)  $(LDEFINES) $(LINCLUDES) $(G++INCL) $(HAVE_STRCASECMP)
 C++FLAGS          =  $(OPT) -ansi  -DINCL_TEMPLATE_SRC $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL) $(HAVE_STRCASECMP)
-C++FLAGS_NONANSI  =  $(OPT) -traditional-cpp -DINCL_TEMPLATE_SRC $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL) $(HAVE_STRCASECMP)
+C++FLAGS_NONANSI  =  $(OPT)  -DINCL_TEMPLATE_SRC $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL) $(HAVE_STRCASECMP)
 C++FLAGS_RELAXED = $(C++FLAGS)
 
 LDFLAGS   = $(ABI) -w
diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.darwin3 ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.darwin3
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.darwin3	2007-09-12 08:07:27.000000000 -0700
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.darwin3	2012-09-17 19:20:37.000000000 -0700
@@ -106,7 +106,7 @@
 
 # C compiler ANSI/NON-ANSI flags
 ANSI_C_FLAG=-ansi
-NON_ANSI_C_FLAG=-traditional-cpp
+NON_ANSI_C_FLAG=
 C_WARNINGS=$(WARNINGS)
 
 # C compiler flags
@@ -122,7 +122,7 @@
 
 # C++ compiler ANSI/NON-ANSI flags
 ANSI_C_PLUS_FLAG=-ansi
-NON_ANSI_C_PLUS_FLAG=-traditional-cpp
+NON_ANSI_C_PLUS_FLAG=
 C_PLUS_WARNINGS=$(WARNINGS)
 
 # This variable specifies how to compile the C code. If it is set to C,
diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.darwin4 ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.darwin4
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.darwin4	2008-01-23 08:44:26.000000000 -0800
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.darwin4	2012-09-17 19:20:37.000000000 -0700
@@ -122,7 +122,7 @@
 
 # C++ compiler ANSI/NON-ANSI flags
 ANSI_C_PLUS_FLAG=-ansi
-NON_ANSI_C_PLUS_FLAG=-traditional-cpp
+NON_ANSI_C_PLUS_FLAG=
 C_PLUS_WARNINGS=$(WARNINGS)
 
 # This variable specifies how to compile the C code. If it is set to C,
diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.ecc ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.ecc
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.ecc	2004-09-21 09:50:57.000000000 -0700
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.ecc	2012-09-17 19:20:37.000000000 -0700
@@ -19,7 +19,7 @@
 CFLAGS_NONANSI    =  $(OPT) $(ABI)  $(LDEFINES) $(LINCLUDES) $(G++INCL)
 
 C++FLAGS          =  $(OPT) -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
-C++FLAGS_NONANSI  =  $(OPT) -traditional-cpp -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
+C++FLAGS_NONANSI  =  $(OPT)  -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
 C++FLAGS_RELAXED  =  $(C++FLAGS)
 
 LDFLAGS   = $(ABI) -w 
diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.gnu2 ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.gnu2
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.gnu2	2004-11-05 06:31:02.000000000 -0800
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.gnu2	2012-09-17 19:20:37.000000000 -0700
@@ -20,7 +20,7 @@
 CFLAGS_NONANSI    =  $(OPT) $(ABI)  $(LDEFINES) $(LINCLUDES) $(G++INCL)
 
 C++FLAGS          =  $(OPT) -ansi  -DINCL_TEMPLATE_SRC $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
-C++FLAGS_NONANSI  =  $(OPT) -traditional-cpp -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
+C++FLAGS_NONANSI  =  $(OPT)  -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
 C++FLAGS_RELAXED = $(C++FLAGS_NONANSI)
 
 LDFLAGS   = $(ABI) -w -static
diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.gnu3 ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.gnu3
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.gnu3	2007-09-12 08:07:27.000000000 -0700
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.gnu3	2012-09-17 19:20:37.000000000 -0700
@@ -120,7 +120,7 @@
 
 # C++ compiler ANSI/NON-ANSI flags
 ANSI_C_PLUS_FLAG=-ansi
-NON_ANSI_C_PLUS_FLAG=-traditional-cpp
+NON_ANSI_C_PLUS_FLAG=
 C_PLUS_WARNINGS=$(WARNINGS) $(NO_DEPRECATED)
 
 # This variable specifies how to compile the C code. If it is set to C,
diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.gnu4 ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.gnu4
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.gnu4	2009-08-17 01:26:47.000000000 -0700
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.gnu4	2012-09-17 19:20:37.000000000 -0700
@@ -120,7 +120,7 @@
 
 # C++ compiler ANSI/NON-ANSI flags
 ANSI_C_PLUS_FLAG=-ansi
-NON_ANSI_C_PLUS_FLAG=-traditional-cpp
+NON_ANSI_C_PLUS_FLAG=
 C_PLUS_WARNINGS=$(WARNINGS) $(NO_DEPRECATED)
 
 # This variable specifies how to compile the C code. If it is set to C,
diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.icc ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.icc
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.icc	2004-07-01 05:53:44.000000000 -0700
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.icc	2012-09-17 19:20:37.000000000 -0700
@@ -20,7 +20,7 @@
 CFLAGS_NONANSI    =  $(OPT) $(ABI)  $(LDEFINES) $(LINCLUDES) $(G++INCL)
 
 C++FLAGS          =  $(OPT) -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
-C++FLAGS_NONANSI  =  $(OPT) -traditional-cpp -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
+C++FLAGS_NONANSI  =  $(OPT)  -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
 C++FLAGS_RELAXED  =  $(C++FLAGS)
 
 LDFLAGS   = $(ABI) -w -static
diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.icc10 ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.icc10
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.icc10	2009-04-21 07:47:08.000000000 -0700
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.icc10	2012-09-17 19:20:37.000000000 -0700
@@ -26,7 +26,7 @@
 CFLAGS_NONANSI    =  $(OPT) $(ABI)  $(LDEFINES) $(LINCLUDES) $(G++INCL) -D_GCC_LIMITS_H_
 
 C++FLAGS          =  $(OPT) -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW -D_GCC_LIMITS_H_ $(ABI) $(C_PLUS_WARNINGS) $(LDEFINES) $(LINCLUDES) $(G++INCL)
-C++FLAGS_NONANSI  =  $(OPT) -traditional-cpp -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW -D_GCC_LIMITS_H_ $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
+C++FLAGS_NONANSI  =  $(OPT)  -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW -D_GCC_LIMITS_H_ $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
 C++FLAGS_RELAXED  =  $(C++FLAGS)
 
 LDFLAGS   = $(ABI) -w
diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.icc8 ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.icc8
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.icc8	2005-01-24 06:25:51.000000000 -0800
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.icc8	2012-09-17 19:20:37.000000000 -0700
@@ -20,7 +20,7 @@
 CFLAGS_NONANSI    =  $(OPT) $(ABI)  $(LDEFINES) $(LINCLUDES) $(G++INCL)
 
 C++FLAGS          =  $(OPT) -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
-C++FLAGS_NONANSI  =  $(OPT) -traditional-cpp -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
+C++FLAGS_NONANSI  =  $(OPT)  -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
 C++FLAGS_RELAXED  =  $(C++FLAGS)
 
 LDFLAGS   = $(ABI) -w -Kc++
diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.icc9 ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.icc9
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.icc9	2009-04-21 07:47:08.000000000 -0700
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.icc9	2012-09-17 19:20:37.000000000 -0700
@@ -26,7 +26,7 @@
 CFLAGS_NONANSI    =  $(OPT) $(ABI)  $(LDEFINES) $(LINCLUDES) $(G++INCL)
 
 C++FLAGS          =  $(OPT) -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW $(ABI) $(C_PLUS_WARNINGS) $(LDEFINES) $(LINCLUDES) $(G++INCL) -cxxlib-icc
-C++FLAGS_NONANSI  =  $(OPT) -traditional-cpp -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
+C++FLAGS_NONANSI  =  $(OPT)  -DINCL_TEMPLATE_SRC -DHAVE_STRCASECMP -DHAVE_PLACEMENT_NEW $(ABI) $(LDEFINES) $(LINCLUDES) $(G++INCL)
 C++FLAGS_RELAXED  =  $(C++FLAGS)
 
 LDFLAGS   = $(ABI) -w
diff -ruN ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.template ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.template
--- ccp4-6.3.0-dist/src/harvest_app_/pdb_extract/etc/make.platform.template	2007-09-12 08:07:27.000000000 -0700
+++ ccp4-6.3.0/src/harvest_app_/pdb_extract/etc/make.platform.template	2012-09-17 19:20:37.000000000 -0700
@@ -121,7 +121,7 @@
 
 # C++ compiler ANSI/NON-ANSI flags
 ANSI_C_PLUS_FLAG=-ansi
-NON_ANSI_C_PLUS_FLAG=-traditional-cpp
+NON_ANSI_C_PLUS_FLAG=
 C_PLUS_WARNINGS=$(WARNINGS)
 
 # This variable specifies how to compile the C code. If it is set to C,
diff -ruN ccp4-6.3.0-dist/src/phaser/ccp4_build ccp4-6.3.0/src/phaser/ccp4_build
--- ccp4-6.3.0-dist/src/phaser/ccp4_build	2012-05-25 04:50:51.000000000 -0700
+++ ccp4-6.3.0/src/phaser/ccp4_build	2012-09-17 19:30:17.000000000 -0700
@@ -63,7 +63,7 @@
 
     # all other arguments passed to phaser build
     *)
-      phaseropts="$phaseropts $1" ;;
+      phaseropts="$phaseropts --compiler=gcc $1" ;;
 
     esac
 shift
diff -ruN ccp4-6.3.0-dist/src/refmac5_/covmat.h ccp4-6.3.0/src/refmac5_/covmat.h
--- ccp4-6.3.0-dist/src/refmac5_/covmat.h	2012-01-09 04:16:57.000000000 -0800
+++ ccp4-6.3.0/src/refmac5_/covmat.h	2012-09-17 19:17:15.000000000 -0700
@@ -44,7 +44,7 @@
 	~covar_matrix();
     void Make_matrix();						// computes re and im from sigmas and D's
 	void Print();
-	void SetZeroRows(int,int,int,int,int,int);	// specifies the order numbers of rows(=columns) for which the covariances should be 0.
+	void SetZeroRows(int = -1,int = -1,int = -1,int = -1,int = -1,int = -1);	// specifies the order numbers of rows(=columns) for which the covariances should be 0.
 	int CheckZeroRow(int row);				// returns 1 if row has been set to be covariance zeroed, 0 otherwise
 	int GetNumZeroRows();					// returns the number of rows with covariaces zeroed
 
@@ -2106,7 +2106,7 @@
 
 // defines zero rows. If the first argument is negative, resets all no non-zero.
 template <typename realnum>
-void covar_matrix<realnum>::SetZeroRows( int r1=-1, int r2=-1, int r3=-1, int r4=-1, int r5=-1, int r6=-1 )
+void covar_matrix<realnum>::SetZeroRows( int r1, int r2, int r3, int r4, int r5, int r6 )
 {
   int r[6] = {r1,r2,r3,r4,r5,r6};
   int i=0;
diff -ruN ccp4-6.3.0-dist/x-windows/Mosflm/src/dps/util/filec/namfil.c ccp4-6.3.0/x-windows/Mosflm/src/dps/util/filec/namfil.c
--- ccp4-6.3.0-dist/x-windows/Mosflm/src/dps/util/filec/namfil.c	2003-03-10 05:38:21.000000000 -0800
+++ ccp4-6.3.0/x-windows/Mosflm/src/dps/util/filec/namfil.c	2012-09-17 19:17:15.000000000 -0700
@@ -78,7 +78,7 @@
    *  Find first hash in FILNAM, it will hold sign if NUM is negative and
    *  there is room for it.
    */
-	fsthsh = (int) strchr(filnam, '#')- (int) filnam;
+	fsthsh = (int)(uintptr_t) strchr(filnam, '#')- (int)(uintptr_t) filnam;
 	if (fsthsh > 0)
 	{
 		for (i = len-1; i>=fsthsh; i--)
diff -ruN ccp4-6.3.0-dist/x-windows/Mosflm/src/dps/util/filec/rdbinary.c ccp4-6.3.0/x-windows/Mosflm/src/dps/util/filec/rdbinary.c
--- ccp4-6.3.0-dist/x-windows/Mosflm/src/dps/util/filec/rdbinary.c	2003-07-25 04:14:53.000000000 -0700
+++ ccp4-6.3.0/x-windows/Mosflm/src/dps/util/filec/rdbinary.c	2012-09-17 19:17:15.000000000 -0700
@@ -84,7 +84,7 @@
 
 		if ( global_debug )
 			printf ("Allocated %d bytes at location %d\n",
-			    *filesize, (int) a);
+				*filesize, (int)(uintptr_t) a);
 
 		j = strlen(filename);
 		dskbor_ ( &lun, filename, &j, &istat);
diff -ruN ccp4-6.3.0-dist/x-windows/Mosflm/src/dps/util/filec/wrfile.c ccp4-6.3.0/x-windows/Mosflm/src/dps/util/filec/wrfile.c
--- ccp4-6.3.0-dist/x-windows/Mosflm/src/dps/util/filec/wrfile.c	2003-03-10 05:38:21.000000000 -0800
+++ ccp4-6.3.0/x-windows/Mosflm/src/dps/util/filec/wrfile.c	2012-09-17 19:17:15.000000000 -0700
@@ -15,6 +15,7 @@
  ****************************************************************/
 #include <string.h>
 #include <stdio.h>
+#include <stdlib.h>
 #include "filec.h"
 
 int wrfile (char* filename, char* head, char* array, 
@@ -35,7 +36,7 @@
 	{
 		printf("Filename      : %s\n", filename);
 		printf("Header        : \n%s<END\n", head);
-		printf("Array address : %d\n", (int) array);
+		printf("Array address : %d\n", (int)(uintptr_t) array);
 		printf("Array dim     : %d\n", naxis);
 		for (i=0; i<naxis; i++)
 			printf("              : %d\n", axis[i]);
diff -ruN ccp4-6.3.0-dist/x-windows/Mosflm/src/dps/util/filec/wrmad.c ccp4-6.3.0/x-windows/Mosflm/src/dps/util/filec/wrmad.c
--- ccp4-6.3.0-dist/x-windows/Mosflm/src/dps/util/filec/wrmad.c	2003-03-10 05:38:22.000000000 -0800
+++ ccp4-6.3.0/x-windows/Mosflm/src/dps/util/filec/wrmad.c	2012-09-17 19:17:15.000000000 -0700
@@ -47,7 +47,7 @@
 	{
 		printf("Filename      : %s\n", filename);
 		printf("Header        : \n%s<END\n", head);
-		printf("Array address : %d\n", (int) array);
+		printf("Array address : %d\n", (int)(uintptr_t) array);
 		printf("Array size    : %d %d\n", as1, as2);
 		printf("Image size    : %d %d\n", is1, is2);
 	}
diff -ruN ccp4-6.3.0-dist/x-windows/RasMol/src/Imakefile ccp4-6.3.0/x-windows/RasMol/src/Imakefile
--- ccp4-6.3.0-dist/x-windows/RasMol/src/Imakefile	2013-02-08 15:21:54.000000000 -0500
+++ ccp4-6.3.0/x-windows/RasMol/src/Imakefile	2013-02-08 15:22:23.000000000 -0500
@@ -162,10 +162,8 @@
 #endif
 
 #if defined __APPLE__ || defined __DARWIN__
-#ifdef _CALL_SYSV
-CC = xlc
-CCOPTIONS = -D_LONGLONG -qstrict
-#endif
+CC = gcc
+CXX = g++
 #endif
 
 #if __GNUC__ > 3
diff -ruN ccp4-6.3.0-dist/x-windows/XCCPJIFFY/EditString.c ccp4-6.3.0/x-windows/XCCPJIFFY/EditString.c
--- ccp4-6.3.0-dist/x-windows/XCCPJIFFY/EditString.c	2003-11-19 01:46:38.000000000 -0800
+++ ccp4-6.3.0/x-windows/XCCPJIFFY/EditString.c	2012-09-17 19:17:15.000000000 -0700
@@ -256,10 +256,10 @@
 WidgetClass editStringWidgetClass = (WidgetClass)&editStringClassRec;
 
 
-static char                   space_char [] = {' ',NULL};
+static char                   space_char [] = {' ',(uintptr_t)NULL};
 static XawTextBlock           new_input,
-                              no_input = {0, 0, NULL, NULL},
-                              space_input = {0, 1, space_char, NULL};
+                              no_input = {0, 0, NULL, (uintptr_t)NULL},
+							  space_input = {0, 1, space_char, (uintptr_t)NULL};
 
 /***********************************************************/
 static void
diff -ruN ccp4-6.3.0-dist/x-windows/XCCPJIFFY/ZDr2d.c ccp4-6.3.0/x-windows/XCCPJIFFY/ZDr2d.c
--- ccp4-6.3.0-dist/x-windows/XCCPJIFFY/ZDr2d.c	2003-07-01 09:57:00.000000000 -0700
+++ ccp4-6.3.0/x-windows/XCCPJIFFY/ZDr2d.c	2012-09-17 19:17:15.000000000 -0700
@@ -1007,7 +1007,7 @@
     return("Object alredy exists");
 
   gobj = XtNew(GR_OBJECT);
-  memset((void *)gobj, NULL, sizeof(GR_OBJECT));
+  memset((void *)gobj, (uintptr_t)NULL, sizeof(GR_OBJECT));
   gobj->objid = obj_id;
 
   if (!parent_obj_id) {                 /* object attached directly to scene */
@@ -1200,7 +1200,7 @@
 
   ppart = &(w->zDr2d);
   instr = XtNew(INSTRUCTION);
-  memset((void *)instr, NULL, sizeof(INSTRUCTION));
+  memset((void *)instr, (uintptr_t)NULL, sizeof(INSTRUCTION));
   instr->instruction_type = instruction_type;
 
   if (ppart->current_instr)
diff -ruN ccp4-6.3.0-dist/x-windows/XCCPJIFFY/log_file.c ccp4-6.3.0/x-windows/XCCPJIFFY/log_file.c
--- ccp4-6.3.0-dist/x-windows/XCCPJIFFY/log_file.c	2004-12-08 09:57:45.000000000 -0800
+++ ccp4-6.3.0/x-windows/XCCPJIFFY/log_file.c	2012-09-17 19:17:15.000000000 -0700
@@ -214,27 +214,27 @@
 
   log_file_tabs =
      (LOG_FILE_TABLE *)malloc(sizeof(LOG_FILE_TABLE) * (ntables+1));
-  memset((void *)log_file_tabs, NULL,
+  memset((void *)log_file_tabs, (uintptr_t)NULL,
 	 (size_t)sizeof(LOG_FILE_TABLE) * (ntables+1));
   table_list = (char **)XtMalloc(sizeof(char *) * (ntables + 1));
   table_list [ntables] = (char *)NULL;
 
   log_file_keytxts =
      (LOG_FILE_KEYTEXT *)malloc(sizeof(LOG_FILE_KEYTEXT) * (nkeytexts+1));
-  memset((void *)log_file_keytxts, NULL,
+  memset((void *)log_file_keytxts, (uintptr_t)NULL,
 	 (size_t)sizeof(LOG_FILE_KEYTEXT) * (nkeytexts+1));
   keytext_list = (char **)XtMalloc(sizeof(char *) * (nkeytexts + 1));
   keytext_list [nkeytexts] = (char *)NULL;
 
   log_file_txts = (LOG_FILE_TEXT *)malloc(sizeof(LOG_FILE_TEXT) * (ntexts+1));
-  memset((void *)log_file_txts, NULL,
+  memset((void *)log_file_txts, (uintptr_t)NULL,
 	 (size_t)sizeof(LOG_FILE_TEXT) * (ntexts+1));
   text_list = (char **)XtMalloc(sizeof(char *) * (ntexts + 1));
   text_list [ntexts] = (char *)NULL;
 
   log_file_summs =
      (LOG_FILE_SUMMARY *)malloc(sizeof(LOG_FILE_SUMMARY) * (nsumms+1));
-  memset((void *)log_file_summs, NULL,
+  memset((void *)log_file_summs, (uintptr_t)NULL,
 	 (size_t)sizeof(LOG_FILE_SUMMARY) * (nsumms+1));
   summary_list = (char **)XtMalloc(sizeof(char *) * (nsumms + 1));
   summary_list [nsumms] = (char *)NULL;
@@ -568,7 +568,7 @@
 
   /*** Play with absolute/relative scale ***/
 
-  memset((void *)(&scene), (int)NULL, sizeof(scene));
+  memset((void *)(uintptr_t)(&scene), (int)(uintptr_t)NULL, sizeof(scene));
 
   scale = 1.0;                              /* scaling done in plot widget */
 
@@ -756,7 +756,7 @@
     /*** Allocate entry & chain it ***/
 
     pgraph = XtNew(LOG_FILE_GRAPH);
-    memset((void *)pgraph, NULL, (size_t)sizeof(LOG_FILE_GRAPH));
+    memset((void *)pgraph, (uintptr_t)NULL, (size_t)sizeof(LOG_FILE_GRAPH));
     if (!table->graphs)
       table->graphs = pgraph;
     else {
diff -ruN ccp4-6.3.0-dist/x-windows/XCCPJIFFY/plot84_file.c ccp4-6.3.0/x-windows/XCCPJIFFY/plot84_file.c
--- ccp4-6.3.0-dist/x-windows/XCCPJIFFY/plot84_file.c	2004-07-08 08:29:48.000000000 -0700
+++ ccp4-6.3.0/x-windows/XCCPJIFFY/plot84_file.c	2012-09-17 19:17:15.000000000 -0700
@@ -148,7 +148,7 @@
     return("I/O error on plot84 file");
   }
 
-  memset((void *)(&scene), (int)NULL, sizeof(scene));
+  memset((void *)(uintptr_t)(&scene), (int)(uintptr_t)NULL, sizeof(scene));
 
   scale = 0.1;                          /* 10 dots per mm plot 84 convention */
 
diff -ruN ccp4-6.3.0-dist/x-windows/XCCPJIFFY/xloggraph.c ccp4-6.3.0/x-windows/XCCPJIFFY/xloggraph.c
--- ccp4-6.3.0-dist/x-windows/XCCPJIFFY/xloggraph.c	1994-10-11 06:32:44.000000000 -0700
+++ ccp4-6.3.0/x-windows/XCCPJIFFY/xloggraph.c	2012-09-17 19:17:15.000000000 -0700
@@ -487,7 +487,7 @@
 /***************************************************************/
 
 main(
-     Cardinal    argc,
+     int    argc,
      char       *argv[])
 {
   Display             *display;
diff -ruN ccp4-6.3.0-dist/x-windows/XCCPJIFFY/xplot84driver.c ccp4-6.3.0/x-windows/XCCPJIFFY/xplot84driver.c
--- ccp4-6.3.0-dist/x-windows/XCCPJIFFY/xplot84driver.c	2008-10-22 05:32:09.000000000 -0700
+++ ccp4-6.3.0/x-windows/XCCPJIFFY/xplot84driver.c	2012-09-17 19:17:15.000000000 -0700
@@ -229,7 +229,7 @@
 /***************************************************************/
 
 main(
-     Cardinal    argc,
+     int    argc,
      char       *argv[])
 {
   Display             *display;
diff -ruN ccp4-6.3.0-dist/x-windows/xdl_view/src/xdl_eg_c.c ccp4-6.3.0/x-windows/xdl_view/src/xdl_eg_c.c
--- ccp4-6.3.0-dist/x-windows/xdl_view/src/xdl_eg_c.c	2012-07-09 06:11:00.000000000 -0700
+++ ccp4-6.3.0/x-windows/xdl_view/src/xdl_eg_c.c	2012-09-17 19:17:15.000000000 -0700
@@ -1,12 +1,12 @@
 #include "xdl_view.h"
 
 /* Dummy data processing routines */
-void rd_data (filnam, a) char *filnam; float a;
+void rd_data (filnam, a) char *filnam; float a[];
 { printf ("\nOpen file %s and read data into 'a'", filnam); return;}
-void wr_data (filnam, a) char *filnam; float a;
+void wr_data (filnam, a) char *filnam; float a[];
 { printf ("\nOpen file %s and write data from 'a'", filnam); return;}
-void trans_a (a) float a; {printf ("Transformation A\n"); return;}
-void trans_b (a) float a; {printf ("Transformation B\n"); return;}
+void trans_a (a) float a[]; {printf ("Transformation A\n"); return;}
+void trans_b (a) float a[]; {printf ("Transformation B\n"); return;}
 
 main()
 {

diff -ruN ccp4-6.3.0-dist/examples/unix/runnable/run-all ccp4-6.3.0/examples/unix/runnable/run-all
--- ccp4-6.3.0-dist/examples/unix/runnable/run-all	2012-05-25 04:10:27.000000000 -0700
+++ ccp4-6.3.0/examples/unix/runnable/run-all	2012-09-17 21:43:50.000000000 -0700
@@ -70,7 +70,7 @@
 # optional examples
 for prog in refmac5_tls.exam tlsanl.exam refmac_sad.exam refmac_twin.exam \
   compar.exam libcheck.exam molrep.exam cpirate.exam cbuccaneer.exam \
-  phaser.exam phaser_EP.exam phaser_sculptor.exam phaser_ensembler.exam \
+  phaser.exam phaser_EP.exam  \
   rampage.exam pointless.exam chef.exam sfcheck.exam scala-complete.exam \
   refmac-rigid.exam aimless.exam ; do

diff -ruN ccp4-6.3.0-dist/src/Prodrg/c_refmac.f ccp4-6.3.0/src/Prodrg/c_refmac.f
--- ccp4-6.3.0-dist/src/Prodrg/c_refmac.f	2010-10-07 04:35:18.000000000 -0700
+++ ccp4-6.3.0/src/Prodrg/c_refmac.f	2012-09-17 22:47:45.000000000 -0700
@@ -98,7 +98,8 @@
       OPEN(11,FILE=SCRFIL('DRGMCI.PDR'),ERR=1400,STATUS='OLD')
       IATR=NMAT
  1300 READ (11,1123,ERR=1399,END=1399) REXELIN
-      IF (REXELIN(1:6).NE.'ATOM  ') GOTO 1300
+      IF (REXELIN(1:6).NE.'ATOM  '.AND.REXELIN(1:6).NE.'HETATM')
+     + GOTO 1300
       I=1
  1305 IF (ANM4(I,1).EQ.REXELIN(13:16)) THEN
          READ (REXELIN(31:54),1126) XC(I),YC(I),ZC(I)

